{**********************************************************}
{                                                          }
{          BLUE CODE for Delphi                            }
{                                                          }
{          Copyright (c) 1996-97 BlueCodeX                 }
{                                                          }
{**********************************************************}

unit EventInf;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, DemConst;

type
  TEventInfoDialog = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Memo1: TMemo;
    Memo2: TMemo;
    Memo3: TMemo;
    Memo4: TMemo;
    BitBtn1: TBitBtn;
  private
    { Private-Deklarationen }
    procedure Initialize(Sender: TObject; Name: String; Param, Info, Control: Integer);
  public
    { Public-Deklarationen }
  end;

procedure ShowEventInfo(Sender: TObject; Name: String; Param, Info, Control: Integer);

implementation

{$R *.DFM}

uses BlcUtils;

procedure ShowEventInfo(Sender: TObject; Name: String; Param, Info, Control: Integer);
var
  InfoDialog: TEventInfoDialog;
begin
  InfoDialog := TEventInfoDialog.Create(Application);
  try
    InfoDialog.Initialize(Sender, Name, Param, Info, Control);
    InfoDialog.ShowModal;
  finally
    InfoDialog.Free;
  end;
end;

procedure TEventInfoDialog.Initialize(Sender: TObject; Name: String;
  Param, Info, Control: Integer);
begin
  Memo1.Text := Name;
  Memo2.Text := GetObjectName(Sender);
  Memo3.Text := LoadStr(Param);
  Memo4.Clear;
  Memo4.Lines.Add(LoadStr(Info));
  Memo4.Lines.Add(LoadStr(Control));
end;

end.
